## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pkgname sphinx_ansible_theme
%global forgeurl https://github.com/ansible-community/%{pkgname}

Name:           python-%{pkgname}
Version:        0.10.1
%forgemeta
Release:        %autorelease
Summary:        A reusable Ansible Sphinx Theme

License:        MIT
URL:            %{forgeurl}
Source:         https://github.com/ansible-community/sphinx_ansible_theme/archive/v%{version}/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
Requires:       font(fontawesome)

%global _description %{expand:
A reusable Ansible Sphinx Theme. This theme is built on top
of RTD Theme and adds customizations needed for building projects
which are part of the Ansible ecosystem.}
%description %{_description}

%package -n python-%{pkgname}-doc
Summary: %{summary}
# MIT: the content
# BSD-2-Clause: files injected by Sphinx
License: MIT AND BSD-2-Clause
Provides: bundled(js-jquery)
Provides: bundled(js-underscore)
%description -n python-%{pkgname}-doc
Documentation for sphinx_ansible_theme

%package -n python3-%{pkgname}
Summary: %{summary}
%description -n python3-%{pkgname} %{_description}

%prep
%autosetup -p1 -n %{pkgname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t -x test

%build
%pyproject_wheel
# generate html docs
sed -i.orig "/html_show_sphinx/ahtml_theme_path=['$PWD/build/lib']" docs/conf.py
PYTHONPATH=$PWD/build/lib sphinx-build docs html
mv docs/conf.py.orig docs/conf.py
# remove the sphinx-build leftovers
rm -vr html/.{doctrees,buildinfo}

%install
%pyproject_install

%check
%tox

%files -n python3-%{pkgname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pkgname}*

%files -n python-%{pkgname}-doc
%doc html
%license LICENSE

%changelog
* Mon Feb 27 2023 Jerry James <loganjerry@gmail.com> 0.10.1-1
- Version 0.10.1
- Fix broken autorelease/autochangelog
- Verify that MIT is valid SPDX license
- Get sources from github for test code
- Add %%check script
- Simplify BuildRequires
- Improve English in %%description
- Add SPDX license information to doc subpackage

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> 0.9.1-3
- Rebuilt for Python 3.11

* Tue Apr 05 2022 chedi <chedi.toueiti@gmail.com> 0.9.1-1
- update to version 0.9.1 (#2047339)

* Sun Dec 19 2021 chedi <chedi.toueiti@gmail.com> 0.9.0-1
- Update to version 0.9.0 (#2031349)

* Tue Oct 12 2021 chedi <chedi.toueiti@gmail.com> 0.8.0-2
- changing package source and fixing some build errors

* Wed Oct 06 2021 chedi <chedi.toueiti@gmail.com> 0.8.0-1
- Update to version 0.8.0 (#1986617)

* Mon Aug 02 2021 chedi <chedi.toueiti@gmail.com> 0.3.2-1
- update to version 0.3.2

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> 0.3.1-4
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 20 2020 chedi toueiti <chedi.toueiti@gmail.com> 0.3.1-1
- initial commit
